
# FullStackToDoApp

This is a FullStack ToDo Application built using MERN stack (MongoDB, Express.js, React.js, Node.js). The application allows users to manage their tasks with CRUD operations (Create, Read, Update, Delete).

## Features

- **Add a Task:** Users can add new tasks with details such as task name, status, and deadline.
- **View Tasks:** Users can view all tasks currently in their list.
- **Update Task:** Users can edit and update existing tasks.
- **Delete Task:** Users can delete tasks they no longer need.

## Technologies Used

- **Frontend:** React.js, Axios
- **Backend:** Node.js, Express.js, MongoDB
- **Deployment:** Vercel
- **Link:** https://full-stack-to-do-app-6rh2.vercel.app/ , Deployment will work only if you clone the project and start frontend and backend servers on your system because of the port access problem i.e. Backend has been deployed but its not working over there.
